aboutsummaryrefslogtreecommitdiffstats
path: root/extra/cutter/APKBUILD
diff options
context:
space:
mode:
authorms13sp <ms13sp@gmail.com>2009-02-20 21:18:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-23 12:42:34 +0000
commitb640361d432485a328b7e05efff1ab5e014233ea (patch)
tree9e0db8c016090629e98f52b1e137b08447fdbe7a /extra/cutter/APKBUILD
parent52d5d402bd6e19465a9ae62d1de22ff49f4d9676 (diff)
downloadaports-b640361d432485a328b7e05efff1ab5e014233ea.tar.gz
aports-b640361d432485a328b7e05efff1ab5e014233ea.tar.bz2
aports-b640361d432485a328b7e05efff1ab5e014233ea.tar.xz
Adding cutter APKBUILD
Diffstat (limited to 'extra/cutter/APKBUILD')
-rw-r--r--extra/cutter/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/extra/cutter/APKBUILD b/extra/cutter/APKBUILD
new file mode 100644
index 0000000000..66c8a43b48
--- /dev/null
+++ b/extra/cutter/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: ms13sp <ms13sp@gmail.com>
+# Maintainer: ms13sp <ms13sp@gmail.com>
+pkgname=cutter
+pkgver=1.03
+pkgrel=0
+pkgdesc="An open source program that allows Linux firewall administrators to abort TCP/IP connections routed over the firewall or router on which it is run."
+url="http://www.lowth.com/cutter"
+license="GPL"
+depends=""
+makedepends=""
+install=
+subpackages=""
+source="http://www.lowth.com/cutter/software/$pkgname-$pkgver.tgz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ #no make install and no configure script
+
+ make || return 1
+
+ mkdir -p "$pkgdir"/usr/sbin/
+
+ install -m755 -D "$srcdir"/"$pkgname"-"$pkgver"/"$pkgname" "$pkgdir"/usr/sbin/"$pkgname"
+
+ #make DESTDIR="$pkgdir" install
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="50093db9b64277643969ee75b83ebbd1 cutter-1.03.tgz"